Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Collocated_Object Class Reference

`#include <Collocated_Object.h>`

Inheritance diagram for TAO_Collocated_Object:

[legend]
Collaboration diagram for TAO_Collocated_Object:

[legend]
List of all members.

## Public Methods
| TAO_Collocated_Object (TAO_Stub *p=0, CORBA::Boolean collocated=0, TAO_ServantBase *servant=0)
| Constructor. More...
virtual | ~TAO_Collocated_Object (void)
| Destructor. More...
virtual CORBA::Boolean | _is_a (const CORBA::Char *logical_type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual CORBA::Boolean | _is_equivalent (CORBA_Object_ptr other_obj ACE_ENV_ARG_DECL_NOT_USED) throw ()
virtual CORBA::Boolean | _non_existent (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
virtual CORBA::Object_ptr | _get_component (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
virtual void * | _tao_QueryInterface (ptr_arith_t type)
## Static Public Methods
TAO_Collocated_Object * | _narrow (CORBA::Object_ptr object ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Downcast operation. More...
## Private Methods
| TAO_Collocated_Object (const TAO_Collocated_Object &)
TAO_Collocated_Object & | operator= (const TAO_Collocated_Object &)

## Constructor & Destructor Documentation

ACE_INLINE TAO_Collocated_Object::TAO_Collocated_Object | ( | TAO_Stub * | p = 0,
|  | CORBA::Boolean | collocated = 0,
|  | TAO_ServantBase * | servant = 0
| ) |

| Constructor.

TAO_Collocated_Object::~TAO_Collocated_Object | ( | void |  | ) | `[virtual]`

| Destructor.

TAO_Collocated_Object::TAO_Collocated_Object | ( | const TAO_Collocated_Object & |  | ) | `[private]`

## Member Function Documentation

CORBA::Object_ptr TAO_Collocated_Object::_get_component | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[virtual]`

| Reimplemented from CORBA_Object.

CORBA::Boolean TAO_Collocated_Object::_is_a | ( | const CORBA::Char *logical_type_id | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Boolean TAO_Collocated_Object::_is_equivalent | ( | CORBA_Object_ptr other_obj | ACE_ENV_ARG_DECL | ) | throw ()`[virtual]`

TAO_Collocated_Object * TAO_Collocated_Object::_narrow | ( | CORBA::Object_ptr object | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

| Downcast operation.

CORBA::Boolean TAO_Collocated_Object::_non_existent | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[virtual]`

| Reimplemented from CORBA_Object.

void * TAO_Collocated_Object::_tao_QueryInterface | ( | ptr_arith_t | query_type | ) | `[virtual]`

| Reimplemented from CORBA_Object.

TAO_Collocated_Object& TAO_Collocated_Object::operator= | ( | const TAO_Collocated_Object & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- Collocated_Object.h
- Collocated_Object.cpp
- Collocated_Object.i